Lists agent runs for the authenticated organization. Supports filtering by agent, status, and cursor-based pagination.
curl --request GET \
--url https://api.case.dev/agent/v1/run \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": "<string>",
"agentId": "<string>",
"status": "queued",
"prompt": "<string>",
"model": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"hasMore": true,
"nextCursor": "<string>"
}API key starting with sk_case_
Filter by agent ID
Filter by run status
queued, running, completed, failed, cancelled Maximum number of runs to return (default 50, max 250)
1 <= x <= 250Pagination cursor (run ID from previous page). Returns runs created before this run.
Was this page helpful?
curl --request GET \
--url https://api.case.dev/agent/v1/run \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": "<string>",
"agentId": "<string>",
"status": "queued",
"prompt": "<string>",
"model": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"hasMore": true,
"nextCursor": "<string>"
}